EDIT - bug #7560

LazylnitializationException (LIE) saving TaxonNamePopupEditor caused during hibernate.search
indexing
07/18/2018 02:42 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%

Category: cdm-vaadin Estimated time: 0:00 hour

Target version: Release 5.3

Severity: critical Found in Version:

Description

[phycobank] 14:25:46,718 ERROR [qtp759156157-24] [eu.et.va.mv.AbstractPopupEditor] - org.springfram

ework.orm.hibernate5.HibernateSystemException: Error while indexing in Hibernate Search (before tr
ansaction completion); nested exception is org.hibernate.HibernateException: Error while indexing
in Hibernate Search (before transaction completion)
Jul 18, 2018 2:25:50 PM com.vaadin.server.DefaultErrorHandler doDefault
SEVERE:
java.lang.RuntimeException: Error saving

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:408)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.lambda$new$fad408e6$1 (AbstractPopupEditor. java:
163)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

at com.vaadin.event.EventRouter.fireEvent (EventRouter. java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)

at com.vaadin.ui.Button.fireClick (Button.java:377)

at com.vaadin.ui.Button$l.click (Button.java:54)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:40

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlRequestHan
dler.java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:
41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService.java:1436)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:841)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1634)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (Anon
ymousAuthenticationFilter.java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcessingF
ilter.doFilter (OAuth2AuthenticationProcessingFilter.java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26
2)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1621)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1613)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:541)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:548)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:132)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:190)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:1584)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:188)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1228)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:168)
at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:481)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:1553)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:166)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1130)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:141)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:132)

at org.eclipse.jetty.server.Server.handle (Server. java:564)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:320)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:251)

at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:279)

at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:112)

at org.eclipse.jetty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:124)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool.java:672)

at org.eclipse.jetty.util.thread.QueuedThreadPool$2.run (QueuedThreadPool. java:590)

at java.lang.Thread.run (Thread. java:748)
Caused by: com.vaadin.data.fieldgroup.FieldGroup$CommitException: Commit failed

at com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup. java:509)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:395)

88 more

Caused by: com.vaadin.data.fieldgroup.FieldGroup$CommitException: Failed to store data to backend

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor. java
:363)

at com.vaadin.data.fieldgroup.FieldGroup.firePostCommitEvent (FieldGroup. java:625)

at com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup. java:501)

. 89 more
Caused by: org.springframework.orm.hibernate5.HibernateSystemException: Error while indexing in Hi
bernate Search (before transaction completion); nested exception is org.hibernate.HibernateExcepti
on: Error while indexing in Hibernate Search (before transaction completion)

at org.springframework.orm.hibernate5.SessionFactoryUtils.convertHibernateAccessException (Sess
ionFactoryUtils.java:219)

at org.springframework.orm.hibernate5.HibernateTransactionManager.convertHibernateAccessExcept
ion (HibernateTransactionManager. java:741)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:589)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Ab
stractPlatformTransactionManager. java:761)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractP
latformTransactionManager. java:730)

at eu.etaxonomy.cdm.api.application.CdmRepository.commitTransaction (CdmRepository.java:466)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.onDoneWithTaxonna
meEditor (RegistrationWorkingsetPresenter. java:514)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper. java:
78)

at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:167)

at org.vaadin.spring.events.internal.ScopedEventBus$l.onEvent (ScopedEventBus. java:58)

at org.vaadin.spring.events.internal.EventBusListenerWrapper.publish (EventBusListenerWrapper. j
ava:55)

at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:167)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus.java:116)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus.java:131)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:133)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:121)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor. java
:360)

91 more

Caused by: org.hibernate.HibernateException: Error while indexing in Hibernate Search (before tran
saction completion)

at org.hibernate.search.backend.impl.EventSourceTransactionContext$DelegateToSynchronizationOn
BeforeTx.doBeforeTransactionCompletion (EventSourceTransactionContext.java:172)

at org.hibernate.engine.spi.ActionQueue$BeforeTransactionCompletionProcessQueue.beforeTransact
ionCompletion (ActionQueue. java:899)

at org.hibernate.engine.spi.ActionQueue.beforeTransactionCompletion (ActionQueue. java:481)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl.java:2340)
at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoor
dinatorImpl. java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.beforeCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:231
)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:581)

109 more

Caused by: org.hibernate.LazyInitializationException: failed to lazily initialize a collection of
role: eu.etaxonomy.cdm.model.name.TaxonName.taxonBases, could not initialize proxy — no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationExcep
tion (AbstractPersistentCollection.java:567)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded
(AbstractPersistentCollection. java:205)

at org.hibernate.collection.internal.AbstractPersistentCollection.initialize (AbstractPersisten
tCollection. java:546)

at org.hibernate.collection.internal.AbstractPersistentCollection.read (AbstractPersistentColle
ction.java:133)

at org.hibernate.collection.internal.PersistentSet.iterator (PersistentSet. java:163)

at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.buildDocumentFieldsForEmbedded
Objects (DocumentBuilderIndexedEntity. java:484)

at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.buildDocumentFields (DocumentBu
ilderIndexedEntity.java:429)

at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.getDocument (DocumentBuilderInd
exedEntity.java:351)

at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.createUpdateWork (DocumentBuild
erIndexedEntity.java:266)

at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.addWorkToQueue (DocumentBuilder
IndexedEntity.java:208)

at org.hibernate.search.engine.impl.WorkPlan$PerEntityWork.enqueueLuceneWork (WorkPlan. java:521

at org.hibernate.search.engine.impl.WorkPlan$PerClassWork.enqueuelLuceneWork (WorkPlan. java:283)

at org.hibernate.search.engine.impl.WorkPlan.getPlannedLuceneWork (WorkPlan.java:155)

at org.hibernate.search.backend.impl.WorkQueue.prepareWorkPlan (WorkQueue. java:114)

at org.hibernate.search.backend.impl.BatchedQueueingProcessor.prepareWorks (BatchedQueueingProc
essor.java:55)

at org.hibernate.search.backend.impl.PostTransactionWorkQueueSynchronization.beforeCompletion (
PostTransactionWorkQueueSynchronization. java:64)

at org.hibernate.search.backend.impl.EventSourceTransactionContext$DelegateToSynchronizationOn
BeforeTx.doBeforeTransactionCompletion (EventSourceTransactionContext.java:169)

118 more

Related issues:
Related to EDIT - bug #7559: possibly corrupted hiberante session after previ... Closed

History

#1 - 07/18/2018 02:42 PM - Andreas Kohlbecker

- Subject changed from LazylnitializationException (LIE) savin TaxonNamePopupEditor to LazylnitializationException (LIE) saving
TaxonNamePopupEditor caused by hibernate.search

#2 - 07/18/2018 02:46 PM - Andreas Kohlbecker
- Subject changed from LazylnitializationException (LIE) saving TaxonNamePopupEditor caused by hibernate.search to LazylnitializationException
(LIE) saving TaxonNamePopupEditor caused during hibernate.search indexing

- Description updated

#3 - 07/18/2018 03:02 PM - Andreas Kohlbecker

- Status changed from New to Worksforme

This was caused by a change related to #7559 and was fixed with cdm-vaadin|f53fffc
https://dev.e-taxonomy.eu/redmine/issues/7559
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/f53fffc6230b10681b753c1235238fb8a0ae9166

#4 - 07/18/2018 03:02 PM - Andreas Kohlbecker

- Related to bug #7559: possibly corrupted hiberante session after previous error on saving editor added

#5 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3
